SortedFloatBinding (Oracle - Berkeley DB Java API)
Date: 2017-04-13

com.sleepycat.bind.tuple

## Class SortedFloatBinding

- java.lang.Object
- - com.sleepycat.bind.tuple.TupleBase<E>
  - - com.sleepycat.bind.tuple.TupleBinding<java.lang.Float>
    - - com.sleepycat.bind.tuple.SortedFloatBinding

- All Implemented Interfaces:
    EntryBinding<java.lang.Float>

      public class SortedFloatBinding
      extends TupleBinding<java.lang.Float>

  A concrete `TupleBinding` for a sorted `Float` primitive wrapper or sorted a `float` primitive.

  There are two ways to use this class:

  1. When using the `com.sleepycat.db` package directly, the static methods in this class can be used to convert between primitive values and `DatabaseEntry` objects.
  2. When using the `com.sleepycat.collections` package, an instance of this class can be used with any stored collection.
  See Also:
    Floating Point Formats

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedFloatBinding()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static float` | `entryToFloat(DatabaseEntry entry)` Converts an entry buffer into a simple `float` value.
    `java.lang.Float` | `entryToObject(TupleInput input)` Constructs a key or data object from a `TupleInput` entry.
    `static void` | `floatToEntry(float val, DatabaseEntry entry)` Converts a simple `float` value into an entry buffer.
    `protected TupleOutput` | `getTupleOutput(java.lang.Float object)` Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.
    `void` | `objectToEntry(java.lang.Float object, TupleOutput output)` Converts a key or data object to a tuple entry.

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBinding

      `entryToObject, getPrimitiveBinding, objectToEntry`

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBase

      `entryToInput, getTupleBufferSize, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortedFloatBinding

          public SortedFloatBinding()

  - ### Method Detail

    - #### entryToObject

          public java.lang.Float entryToObject(TupleInput input)

      Description copied from class: `TupleBinding`
      Constructs a key or data object from a `TupleInput` entry.
      Specified by:
        `entryToObject` in class `TupleBinding<java.lang.Float>`
      Parameters:
        `input` - is the tuple key or data entry.
      Returns:
        the key or data object constructed from the entry.

    - #### objectToEntry

          public void objectToEntry(java.lang.Float object,
                                    TupleOutput output)

      Description copied from class: `TupleBinding`
      Converts a key or data object to a tuple entry.
      Specified by:
        `objectToEntry` in class `TupleBinding<java.lang.Float>`
      Parameters:
        `object` - is the key or data object.
        `output` - is the tuple entry to which the key or data should be written.

    - #### getTupleOutput

          protected TupleOutput getTupleOutput(java.lang.Float object)

      Description copied from class: `TupleBase`
      Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.

      The default implementation of this method creates a new TupleOutput with an initial buffer size that can be changed using the `TupleBase.setTupleBufferSize(int)` method.

      This method may be overridden to return a TupleOutput instance. For example, an instance per thread could be created and returned by this method. If a TupleOutput instance is reused, be sure to call its `FastOutputStream.reset()` method before each use.

      Overrides:
        `getTupleOutput` in class `TupleBase<java.lang.Float>`
      Parameters:
        `object` - is the object to be written to the tuple output, and may be used by subclasses to determine the size of the output buffer.
      Returns:
        an empty TupleOutput instance.
      See Also:
        `TupleBase.setTupleBufferSize(int)`

    - #### entryToFloat

          public static float entryToFloat(DatabaseEntry entry)

      Converts an entry buffer into a simple `float` value.
      Parameters:
        `entry` - is the source entry buffer.
      Returns:
        the resulting value.

    - #### floatToEntry

          public static void floatToEntry(float val,
                                          DatabaseEntry entry)

      Converts a simple `float` value into an entry buffer.
      Parameters:
        `val` - is the source value.
        `entry` - is the destination entry buffer.

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.